Недавно один клиент сообщил мне о проблеме с python-suds под CentOS 6.4. Учитывая то, что у большинства людей всё в порядке - решил проверить. По неизвестной мне причине сразу после установки CentOS 6.4 у меня не работал yum, говоря мне о том, что 6.4 - ещё не выпущенная версия. Вероятно у него затык был приблизительно в том же месте. По простому обновиться на 6.6 не удалось, пришлось сделать немного действий руками.

echo 6.6 > /etc/yum/vars/releasever
rpm -Uvh http://mirror.yandex.ru/centos/6.6/os/x86_64/Packages/centos-release-6-6.el6.centos.12.2.x86_64.rpm
yum -y update
reboot

После чего всё стало хорошо.